<?php

add_filter( 'plugin_action_links', 'arts_cf_plugin_action_links', 10, 2 );
function arts_cf_plugin_action_links( $actions, $plugin_file ) {
	if ( false === strpos( $plugin_file, 'arts-custom-fonts.php' ) ) {
		return $actions;
	}

	$settings_link = sprintf(
    '<a href="admin.php?page=custom-fonts-settings">%1s</a>',
    esc_html__( 'Settings', 'arts' )
  );

	array_unshift( $actions, $settings_link );

	return $actions;
}
