<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Add plugin action links
 */
add_filter( 'plugin_action_links', 'arts_mcf_plugin_action_links', 10, 2 );
function arts_mcf_plugin_action_links( $actions, $plugin_file ) {
	if ( false === strpos( $plugin_file, 'arts-mouse-cursor-follower.php' ) ) {
		return $actions;
	}

	$settings_link = sprintf(
		'<a href="%1s">%2s</a>',
		admin_url( 'customize.php?autofocus[panel]=arts_mcf' ),
		esc_html__( 'Settings', 'arts' )
	);

	array_unshift( $actions, $settings_link );

	return $actions;
}
