<?php

/**
 * Print cursor HTML markup in site footer
 */
add_action( 'wp_footer', 'arts_mcf_print_cursor_markup' );
function arts_mcf_print_cursor_markup() { ?>

<div class="arts-cursor" id="js-arts-cursor">
	<div class="arts-cursor__wrapper">
		<!-- circles-->
		<div class="arts-cursor__follower js-arts-cursor__follower">
			<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
				<circle class="arts-cursor__stroke-inner js-arts-cursor__stroke-inner" cx="25" cy="25" r="24" style="opacity: 0.6;"></circle>
				<circle class="arts-cursor__stroke-outer js-arts-cursor__stroke-outer" cx="25" cy="25" r="24" style="stroke-dashoffset: 252.327; stroke-dasharray: 0px, 999999px;"></circle>
			</svg>
		</div>
		<!-- arrows-->
		<div class="arts-cursor__arrows">
			<div class="arts-cursor__arrow arts-cursor__arrow_up material-icons keyboard_arrow_up js-arts-cursor__arrow-up"></div>
			<div class="arts-cursor__arrow arts-cursor__arrow_right material-icons keyboard_arrow_right js-arts-cursor__arrow-right"></div>
			<div class="arts-cursor__arrow arts-cursor__arrow_down material-icons keyboard_arrow_down js-arts-cursor__arrow-down"></div>
			<div class="arts-cursor__arrow arts-cursor__arrow_left material-icons keyboard_arrow_left js-arts-cursor__arrow-left"></div>
		</div>
		<!-- label holder-->
		<div class="arts-cursor__wrapper-label">
			<div class="arts-cursor__label js-arts-cursor__label"></div>
		</div>
		<!-- icon holder-->
		<div class="arts-cursor__wrapper-icon">
			<div class="arts-cursor__icon js-arts-cursor__icon"></div>
		</div>
	</div>
</div>

<?php
}
