<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Register extra Customizer panels
 */
add_action( 'after_setup_theme', 'arts_mcf_register_customizer_panels' );
function arts_mcf_register_customizer_panels() {
	if ( ! class_exists( 'Kirki' ) ) {
		return;
	}

	$priority = 1;

	Kirki::add_config(
		'arts_mcf',
		array(
			'option_type' => 'option',
			'option_name' => 'arts_mouse_cursor_follower',
		)
	);

	/**
	 * Panel Mouse Cursor Follower
	 */
	Kirki::add_panel(
		'arts_mcf',
		array(
			'priority' => $priority++,
			'title'    => esc_html__( 'Mouse Cursor Follower', 'arts' ),
			'icon'     => 'dashicons-pressthis',
		)
	);
	require_once ARTS_MOUSE_CURSOR_FOLLOWER_PLUGIN_PATH . '/inc/customizer/panels/mouse-cursor-follower/mouse-cursor-follower.php';
}
