<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if ( ! function_exists( 'arts_get_smooth_scroll_plugin') ) {
	function arts_get_smooth_scroll_plugin() {
		$type = 'SmoothScrollbar';

		if ( current_theme_supports( 'arts-smooth-scrolling' ) ) {
			$theme_supports = get_theme_support( 'arts-smooth-scrolling' );

			if ( is_array( $theme_supports ) && is_array( $theme_supports[0] ) && array_key_exists( 'type', $theme_supports[0] ) ) {
				$type = $theme_supports[0]['type'];
			}
		}

		return $type;
	}
}

