<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

$priority = 1;

Kirki::add_field(
	'arts_ss', array(
		'type'        => 'textarea',
		'settings'    => 'target',
		'label'       => esc_html__( 'Target Container', 'arts' ),
		'description' => esc_html__( 'jQuery selector string', 'arts' ),
		'section'     => 'arts_smooth_scrolling_elements',
		'default'     => '.js-smooth-scroll',
		'priority'    => $priority++,
	)
);

Kirki::add_field(
	'arts_ss', array(
		'type'        => 'textarea',
		'settings'    => 'absolute_elements',
		'label'       => esc_html__( 'Absolute Position Elements', 'arts' ),
		'description' => esc_html__( 'jQuery selector string', 'arts' ),
		'section'     => 'arts_smooth_scrolling_elements',
		'default'     => '[data-arts-scroll-absolute]',
		'priority'    => $priority++,
	)
);

Kirki::add_field(
	'arts_ss', array(
		'type'        => 'textarea',
		'settings'    => 'fixed_elements',
		'label'       => esc_html__( 'Fixed Position Elements', 'arts' ),
		'description' => esc_html__( 'jQuery selector string', 'arts' ),
		'section'     => 'arts_smooth_scrolling_elements',
		'default'     => '[data-arts-scroll-fixed]',
		'priority'    => $priority++,
	)
);
