<?php

/**
 * Check if Elementor editor
 * is active
 *
 * @return bool
 */
if ( ! function_exists( 'arts_is_elementor_editor_active' ) ) {
	function arts_is_elementor_editor_active() {
		if ( class_exists( '\Elementor\Plugin' ) && \Elementor\Plugin::$instance->preview->is_preview_mode() ) {
			return true;
		}
		return false;
	}
}
