<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Register extra Customizer panels
 */
add_action( 'after_setup_theme', 'arts_ss_register_customizer_panels' );
function arts_ss_register_customizer_panels() {
	if ( ! class_exists( 'Kirki' ) ) {
		return;
	}

	$type = arts_get_smooth_scroll_plugin();

	$priority = 1;

	Kirki::add_config(
		'arts_ss',
		array(
			'option_type' => 'option',
			'option_name' => 'arts_smooth_scrolling',
		)
	);

	/**
	 * Panel Smooth Scrolling (Smooth Scrollbar)
	 */
	if ( $type === 'SmoothScrollbar' ) {
		Kirki::add_panel(
			'arts_ss',
			array(
				'priority' => $priority++,
				'title'    => esc_html__( 'Smooth Scrolling', 'arts' ),
				'icon'     => 'dashicons-image-flip-vertical',
			)
		);
		require_once ARTS_SMOOTH_SCROLLING_PLUGIN_PATH . '/inc/customizer/panels/smooth-scrolling/smooth-scrolling.php';
	}
}
