<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

add_action( 'elementor/element/section/section_background/after_section_start', 'arts_add_elementor_section_color_theme_controls', 10, 2 );
add_action( 'elementor/element/container/section_background/after_section_start', 'arts_add_elementor_section_color_theme_controls', 10, 2 );
add_action( 'elementor/element/column/section_style/after_section_start', 'arts_add_elementor_section_color_theme_controls', 10, 2 );
function arts_add_elementor_section_color_theme_controls( $control ) {
	$control->add_control(
		'heading_color_theme',
		array(
			'label' => esc_html__( 'Kinsey: Color Theme', 'kinsey' ),
			'type'  => \Elementor\Controls_Manager::HEADING,
		)
	);

	$control->add_control(
		'theme_section_color',
		array(
			'label'              => esc_html__( 'Color Theme', 'kinsey' ),
			'type'               => \Elementor\Controls_Manager::SELECT,
			'default'            => '',
			'options'            => ARTS_THEME_COLORS_ARRAY,
			'frontend_available' => true,
			'prefix_class'       => '',
		)
	);

	$control->add_control(
		'theme_section_elements_theme',
		array(
			'label'              => esc_html__( 'Elements Color', 'kinsey' ),
			'type'               => Elementor\Controls_Manager::SELECT,
			'default'            => '',
			'options'            => ARTS_THEME_COLOR_THEMES_ARRAY,
			'frontend_available' => true,
			'prefix_class'       => '',
		)
	);
}
