<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

add_action( 'elementor/element/section/section_layout/before_section_end', 'arts_add_elementor_section_layout_controls', 10, 2 );
function arts_add_elementor_section_layout_controls( $control ) {
	$control->add_control(
		'heading_layout',
		array(
			'label'     => esc_html__( 'Kinsey: Layout Options', 'kinsey' ),
			'type'      => \Elementor\Controls_Manager::HEADING,
			'separator' => 'before',
		)
	);

	$control->add_control(
		'theme_remove_top_bottom_gaps',
		array(
			'label'              => esc_html__( 'Remove Top and Bottom Gaps', 'kinsey' ),
			'type'               => \Elementor\Controls_Manager::SWITCHER,
			'default'            => '',
			'frontend_available' => true,
			'selectors'          => array(
				'{{WRAPPER}} > .elementor-container > .elementor-column > .elementor-widget-wrap' => 'padding-bottom: 0 !important; padding-top: 0 !important;',
			),
		)
	);
}
