<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

add_action( 'elementor/element/section/section_advanced/after_section_start', 'arts_add_elementor_section_united_inner_galleries_controls', 10, 2 );
add_action( 'elementor/element/container/section_layout/after_section_start', 'arts_add_elementor_section_united_inner_galleries_controls', 10, 2 );
function arts_add_elementor_section_united_inner_galleries_controls( $control ) {
	$control->add_control(
		'heading_united_inner_galleries',
		array(
			'label'     => esc_html__( 'Kinsey: Inner Galleries', 'kinsey' ),
			'type'      => \Elementor\Controls_Manager::HEADING,
			'separator' => 'before',
		)
	);

	$control->add_control(
		'theme_section_unite_inner_galleries',
		array(
			'label'              => esc_html__( 'Unite Inner Image Galleries', 'kinsey' ),
			'description'        => esc_html__( 'Enable pass-through navigation between inner galleries in lightbox.', 'kinsey' ),
			'type'               => Elementor\Controls_Manager::SWITCHER,
			'default'            => '',
			'return_value'       => 'js-gallery-united',
			'frontend_available' => true,
			'separator'          => 'after',
		)
	);
}
